aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDexter Morgan <dmorgan@mageia.org>2011-12-28 00:15:29 +0000
committerDexter Morgan <dmorgan@mageia.org>2011-12-28 00:15:29 +0000
commit320372c2a454ab66c01456699ecebcbc3ad122ce (patch)
tree7a1442efe439863edb621df30be353870763bbb0
parent7fbb16921d42684fd499498176e1c23c1bd6f96b (diff)
downloadrpm-setup-320372c2a454ab66c01456699ecebcbc3ad122ce.tar
rpm-setup-320372c2a454ab66c01456699ecebcbc3ad122ce.tar.gz
rpm-setup-320372c2a454ab66c01456699ecebcbc3ad122ce.tar.bz2
rpm-setup-320372c2a454ab66c01456699ecebcbc3ad122ce.tar.xz
rpm-setup-320372c2a454ab66c01456699ecebcbc3ad122ce.zip
Use upstream desktop-file.prov as we had exactly the same file
-rw-r--r--NEWS2
-rwxr-xr-xdesktop-file.prov23
-rwxr-xr-xfind-provides.in6
3 files changed, 5 insertions, 26 deletions
diff --git a/NEWS b/NEWS
index 339f6c4..6bb74bf 100644
--- a/NEWS
+++ b/NEWS
@@ -1,3 +1,5 @@
+- Use upstream desktop-file.prov as we had exactly the same file
+
Version 1.147 - 27 Dec 2011, by Anssi Hannula
- disable internal dep generator as we can't use it yet due to our
external dep generator customizations
diff --git a/desktop-file.prov b/desktop-file.prov
deleted file mode 100755
index 5b159ae..0000000
--- a/desktop-file.prov
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Transform desktop mimetype info into RPM mimehandler(type) provides
-#
-# Author: Richard Hughes <richard@hughsie.com>
-# Based on other provides scripts from RPM
-
-OLD_IFS="$IFS"
-while read instfile ; do
- case "$instfile" in
- *.desktop)
- if ! grep -q '^Type=Application$' "$instfile"; then continue; fi
- if ! grep -q '^Exec=' "$instfile"; then continue; fi
- mime=`grep '^MimeType=' "$instfile" | cut -d'=' -f2`
- IFS=';'
- for type in $mime ; do
- echo 'mimehandler('$type')'
- done
- ;;
- esac
-done
-IFS=$OLD_IFS
-
diff --git a/find-provides.in b/find-provides.in
index c9c163e..3adf346 100755
--- a/find-provides.in
+++ b/find-provides.in
@@ -82,9 +82,9 @@ done | sort -u
#
# --- mimehandler
-[ -x @RPMVENDORDIR@/desktop-file.prov ] &&
- echo "$filelist" | tr '[:blank:]' \\n | @RPMVENDORDIR@/desktop-file.prov --provides | sort -u \
- && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMVENDORDIR@/desktop-file.prov failed' >&2 && exit 1
+[ -x @RPMLIBDIR@/desktop-file.prov ] &&
+ echo "$filelist" | tr '[:blank:]' \\n | @RPMLIBDIR@/desktop-file.prov --provides | sort -u \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/desktop-file.prov failed' >&2 && exit 1
#
# --- fonts